package com.goafanti.common.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.OrgRatepay;

public interface OrgRatepayMapper {
    int deleteByPrimaryKey(String id);

    int insert(OrgRatepay record);

    int insertSelective(OrgRatepay record);

    OrgRatepay selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(OrgRatepay record);

    int updateByPrimaryKey(OrgRatepay record);

	OrgRatepay selectOrgRatepayByUid(String uid);

	int batchDeleteByPrimaryKey(List<String> id);

	OrgRatepay selectRatepayByUidAndYear(@Param("uid")String uid, @Param("year")Integer year);
}